@font-face {
    font-family: "peaceSans";
    src: url("../fonts/Peace Sans.otf");
}

/* =========================
   GLOBAL
========================= */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #91c2a0;
    overflow: auto;
    font-family: "peaceSans", sans-serif;
}

/* =========================
   MAIN LAYOUT
========================= */
#create-grid,
#login-grid {
    display: flex;
    justify-content: center;
    align-items: center;

    gap: 4rem;

    width: 100vw;
    height: 100vh;

    padding: 2rem;
}


/* =========================
   IMAGE PANELS
========================= */

#image-left,
#image-right {
    position: relative;

    width: 30vw;
    height: 90vh;

    overflow: hidden;

    border: 1px solid #333;
    background-color: lightblue;

    display: flex;
    justify-content: center;
    align-items: center;
}

/* Fade images */

.fade-img {
    position: absolute;
    inset: 0;

    width: 100%;
    height: 100%;

    object-fit: cover;

    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.fade-img.active {
    opacity: 1;
}

img {
    max-width: 200%;
    display: block;
}


#inputs {
    display: flex;
    flex-direction: column;
    justify-content: center;

    gap: 7rem;

    width: 500px;
}

#create-grid #inputs {
     gap: 3rem;
}


#label,
#email-input,
#password-input,
#name-input,
#username-input,
#confirm-password-input,
#login-input {
    display: flex;

    flex-direction: column;
    justify-content: center;
    align-items: center;

    gap: 1rem;

    padding: 1.5rem;

    text-align: center;

    border: 1px solid #333;
    background-color: lightblue;
}


#label {
    font-size: 2rem;
}

#email-input,
#password-input,
#confirm-password-input,
#username-input,
#login-input {
    min-height: 100px;
}

#create-account-button, #back-to-login{
    color: black;
    text-decoration: none;
}

#login-button, #create-account-button{
    cursor: pointer;
}